Search extensions (internal + marketplace)
GET
/api/v1/extensions/search
const url = 'https://example.com/api/v1/extensions/search?q=example&projectId=00000000-0000-0000-0000-000000000000';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/extensions/search?q=example&projectId=00000000-0000-0000-0000-000000000000'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” q
required
string
limit
string
projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Responses
Section titled “ Responses ”Success
Media type application/json
Array<object>
object
id
required
string
name
required
string
publisher
required
string
description
string
internal
required
boolean
version
string
Missing query parameter